net.sourceforge.pmd.lang.dfa.report

## Class ReportVisitor

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.ReportVisitor

Direct Known Subclasses:
  ReportHTMLPrintVisitor

    public abstract class ReportVisitor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReportVisitor()`

### Method Summary

Methods
`void` `visit(AbstractReportNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportVisitor

    public ReportVisitor()

### Method Detail

#### visit

    public void visit(AbstractReportNode node)